Results 1 to 9 of 9

Thread: Gtranslator

  1. #1

    Default Gtranslator

    Hello,

    Just installed gtranslator but when I select the text to modify, it crashes...
    can you help me out or suggest any alternative?
    I previously used poedit on ubuntu, but it is not available in package for opensuse, and I'm not able to install it starting from binary...

    thanks

  2. #2
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,452

    Default Re: Gtranslator

    Open a console and enter
    gtranslator
    and then post any messages.

  3. #3

    Default Re: Gtranslator

    user@linux-k2ch:~> gtranslator

    ** (gtranslator:12585): CRITICAL **: gda_connection_statement_execute_non_select: assertion `GDA_IS_CONNECTION (cnc)' failed

    ** (gtranslator:12585): CRITICAL **: gda_connection_statement_execute_non_select: assertion `GDA_IS_CONNECTION (cnc)' failed

    ** (gtranslator:12585): CRITICAL **: gda_connection_statement_execute_non_select: assertion `GDA_IS_CONNECTION (cnc)' failed

    ** (gtranslator:12585): CRITICAL **: gda_connection_statement_execute_non_select: assertion `GDA_IS_CONNECTION (cnc)' failed

    ** (gtranslator:12585): CRITICAL **: gda_connection_statement_execute_non_select: assertion `GDA_IS_CONNECTION (cnc)' failed

    ** (gtranslator:12585): CRITICAL **: gda_connection_create_parser: assertion `GDA_IS_CONNECTION (cnc)' failed
    ** Message: GTR_PLUGINS_PATH=/usr/lib64/gtranslator/plugins
    ** Message: DIR: /usr/lib64/gtranslator/plugins
    ** Message: Loading plugin: /usr/lib64/gtranslator/plugins/gtr-fullscreen.gtranslator.plugin
    ** Message: Could not find 'Depends' in /usr/lib64/gtranslator/plugins/gtr-fullscreen.gtranslator.plugin
    ** Message: Could not find 'Icon' in /usr/lib64/gtranslator/plugins/gtr-fullscreen.gtranslator.plugin, using 'plugin'
    ** Message: Could not find 'Copyright' in /usr/lib64/gtranslator/plugins/gtr-fullscreen.gtranslator.plugin
    ** Message: Plugin Full screen loaded
    ** Message: Loading plugin: /usr/lib64/gtranslator/plugins/gtr-dict.gtranslator.plugin
    ** Message: Could not find 'Depends' in /usr/lib64/gtranslator/plugins/gtr-dict.gtranslator.plugin
    ** Message: Could not find 'Copyright' in /usr/lib64/gtranslator/plugins/gtr-dict.gtranslator.plugin
    ** Message: Plugin Dictionary loaded
    ** Message: Loading plugin: /usr/lib64/gtranslator/plugins/gtr-insert-tags.gtranslator.plugin
    ** Message: Could not find 'Depends' in /usr/lib64/gtranslator/plugins/gtr-insert-tags.gtranslator.plugin
    ** Message: Could not find 'Icon' in /usr/lib64/gtranslator/plugins/gtr-insert-tags.gtranslator.plugin, using 'plugin'
    ** Message: Could not find 'Copyright' in /usr/lib64/gtranslator/plugins/gtr-insert-tags.gtranslator.plugin
    ** Message: Plugin Insert tag loaded
    ** Message: Loading plugin: /usr/lib64/gtranslator/plugins/gtr-source-code-view.gtranslator.plugin
    ** Message: Could not find 'Depends' in /usr/lib64/gtranslator/plugins/gtr-source-code-view.gtranslator.plugin
    ** Message: Could not find 'Icon' in /usr/lib64/gtranslator/plugins/gtr-source-code-view.gtranslator.plugin, using 'plugin'
    ** Message: Could not find 'Copyright' in /usr/lib64/gtranslator/plugins/gtr-source-code-view.gtranslator.plugin
    ** Message: Plugin Source code view loaded
    ** Message: Loading plugin: /usr/lib64/gtranslator/plugins/gtr-charmap.gtranslator.plugin
    ** Message: Could not find 'Depends' in /usr/lib64/gtranslator/plugins/gtr-charmap.gtranslator.plugin
    ** Message: Could not find 'Copyright' in /usr/lib64/gtranslator/plugins/gtr-charmap.gtranslator.plugin
    ** Message: Plugin Font table loaded
    ** Message: Loading plugin: /usr/lib64/gtranslator/plugins/gtr-insert-params.gtranslator.plugin
    ** Message: Could not find 'Depends' in /usr/lib64/gtranslator/plugins/gtr-insert-params.gtranslator.plugin
    ** Message: Could not find 'Icon' in /usr/lib64/gtranslator/plugins/gtr-insert-params.gtranslator.plugin, using 'plugin'
    ** Message: Could not find 'Copyright' in /usr/lib64/gtranslator/plugins/gtr-insert-params.gtranslator.plugin
    ** Message: Plugin Insert parameters loaded
    ** Message: Loading plugin: /usr/lib64/gtranslator/plugins/gtr-alternate-language.gtranslator.plugin
    ** Message: Could not find 'Depends' in /usr/lib64/gtranslator/plugins/gtr-alternate-language.gtranslator.plugin
    ** Message: Could not find 'Icon' in /usr/lib64/gtranslator/plugins/gtr-alternate-language.gtranslator.plugin, using 'plugin'
    ** Message: Could not find 'Copyright' in /usr/lib64/gtranslator/plugins/gtr-alternate-language.gtranslator.plugin
    ** Message: Plugin Alternate language loaded
    ** Message: End

  4. #4
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Gtranslator

    > I previously used poedit on ubuntu, but it is not available in package
    > for opensuse, and I'm not able to install it starting from binary...


    try this:

    -go to http://software.opensuse.org/search
    -spin to openSUSE 11.4
    -type in poedit
    -click search
    -several packages will show up
    -pick the top one (from the openSUSE:11.4:Contrib/standard repo)
    -single left click on the link "1-Click Install"
    -a download dialog opens, select to "Open with" "Install/Remove
    software" or "YaST blah blah" and click OK
    -you will be asked for your root password, give it
    -you will be asked if you want to keep the repo after install, say no
    -watch it do some magic...like it might tell you that you need some
    other stuff installed (dependencies) say ok..
    -when finished you should be able to find a new icon in your main menu,
    or use the search blank in the menu to find opedit..

    Have a lot of fun!

    [lots of good stuff to learn about openSUSE]

    --
    DD
    openSUSE®, the "German Engineered Automobile" of operating systems!

  5. #5

    Default Re: Gtranslator

    I installed Poedit, but have the same issue: when I try to edit text string it crashes (shuts down)...

  6. #6
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Gtranslator

    On 08/28/2011 08:56 PM, opensuserxxx wrote:
    >
    > I installed Poedit, but have the same issue: when I try to edit text
    > string it crashes (shuts down)...


    i just installed poedit and it runs fine here see:
    http://paste.opensuse.org/87220291

    your system is is broken, how long has it been like that?
    what is your operating system and version?
    your desktop environment and version.

    please show us the output of entering the following into a terminal

    Code:
    zypper lr -d
    and copy/paste the output back to this thread using the instructions
    here: http://goo.gl/i3wnr

    and, tell us some other stuff we might need to know...

    --
    DD Caveat
    openSUSE®, the "German Engineered Automobile" of operating systems!

  7. #7

    Default Re: Gtranslator

    Code:
    1 | openSUSE:11.4:Contrib | openSUSE:11.4:Contrib      | Yes        | Yes        |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/11.4:/Contrib/standard/ |         
    2 | repo-debug            | openSUSE-11.4-Debug        | No        | Yes         |   99     | NONE   | http://download.opensuse.org/debug/distribution/11.4/repo/oss/              |         
    3 | repo-debug-update     | openSUSE-11.4-Update-Debug | No        | Yes         |   99     | NONE   | http://download.opensuse.org/debug/update/11.4/                             |         
    4 | repo-non-oss          | openSUSE-11.4-Non-Oss      | Yes        | Yes         |   99     | yast2  | http://download.opensuse.org/distribution/11.4/repo/non-oss/                |         
    5 | repo-oss              | openSUSE-11.4-Oss          | Yes        | Yes         |   99     | yast2  | http://download.opensuse.org/distribution/11.4/repo/oss/                    |         
    6 | repo-source           | openSUSE-11.4-Source       | No        | Yes        |   99     | NONE   | http://download.opensuse.org/source/distribution/11.4/repo/oss/             |         
    7 | repo-update           | openSUSE-11.4-Update       | Yes        | Yes        |   99     | rpm-md | http://download.opensuse.org/update/11.4/

  8. #8

    Default Re: Gtranslator

    ...anyone?...

  9. #9
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Gtranslator

    On 08/29/2011 12:36 PM, opensuserxxx wrote:
    >
    > ..anyone?...
    >
    >

    you didn't answer my basic three questions anyone will need to know the
    answer to in order to _try_ to help you, so here they are again and more:

    what is your operating system and version?

    your desktop environment and version?

    your system is is broken, how long has it been like that? that is, have
    you ever been able to install and run anything? ever?

    or, did it work fine for months and then just quit working? if it just
    quit, then what happened? (power failure? freeze and hard reset? cat
    emptied his/her bladder on the keyboard...WHAT??)

    maybe one of these will help us learn how your system got damaged (and
    if we learn how it was damaged _maybe_ we can find how to undamage it):

    1. Did you, as root, edit any configuration files just before this
    problem began?

    2. Did you, as root, change any file or directory permissions with chown
    or chmod?

    3. Have you recently (or ever into this install) added software from a
    repo with tumbleweed, factory, playground, evergreen or unstable in its
    name/path?

    4. Was it installed from media downloaded from software.opensuse.org, or
    some other place? Where?

    5. Did you md5 or sha1 check the .iso prior to burning the install disk?

    6. Did you burn the disk as slow as you could set your burner?

    7. Did you proof test the install disk by doing this
    http://tinyurl.com/2ebcf27 before the install?

    8. Is openSUSE running directly on the machine, or is it in a virtual
    machine? Which VM and version? What is the host operating system, and
    version?

    9. Is this a fresh format and install system? Or, did you upgrade
    (keeping any partitions from a former install of Linux? Which
    distro/version was the former version and what partitions did you
    retain? For example, did you keep your previous /home intact, or only
    transfer personal data (music, mails, documents, etc)?)

    10. Is this a multi-boot machine? If so, what other operating systems
    are loaded? Do any partitions have read/write access by more than one
    operating system?

    if you try to start Poedit in a terminal, does it throw error messages?
    if so, please copy them back to here..

    --
    DD
    Caveat-Hardware-Software
    openSUSE®, the "German Engineered Automobile" of operating systems!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •